Lan Multicast (Template)
4 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getGridLanMulticastTemplates | GET | Get lan multicast template list |
| createLanMulticastTemplate | POST | Create new lan multicast template |
| deleteLanMulticastTemplate | DELETE | Delete an existing lan multicast template |
| modifyLanMulticastTemplate | PATCH | Modify a lan multicast template |
getGridLanMulticastTemplates
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan-multicasts
Get lan multicast template list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridLanMulticastTemplates",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get lan multicast template list
The interface requires one of the permissions:
Global Site Template Manager View Only
createLanMulticastTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan-multicasts
Create new lan multicast template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema LanMulticastVO
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | The primary id of the multicast snooping. |
name | string | no | The name of the multicast snooping. |
networks | array<NetworkVO> | no | The collection of snooping network ids related to this multicast snooping config. |
protocol | integer | no | When multicast snooping value 0,then represents the IGMP snooping type,else if value 1,then represents MLD snooping type. |
unknownMulticastRule | integer | no | When it selects 0,then send forward, it selects 1,then discard info, it selects 2,then route port first. |
unknownMulticastExceptDevice | UnknownMulticastConfigVO | no | (UnknownMulticastConfigVO not expanded; call omada_get_schema "UnknownMulticastConfigVO") |
floodKnownEnable | boolean | no | Whether open flood known protocols. |
querierEnable | boolean | no | Whether open querier. |
routerPortEnable | boolean | no | Whether open manual router port config. |
resource | integer | no | resource |
routerPorts | array<RouterPortVO> | no | The specific list of router ports info,including network, devices and the ports on them. |
snoopConfig | SnoopConfigVO | no | (SnoopConfigVO not expanded; call omada_get_schema "SnoopConfigVO") |
igmpQueriers | array<IgmpConfigVO> | no | The querier configs for IGMP snooping(ipv4). |
mldQueriers | array<MldConfigVO> | no | The querier configs for MLD snooping(ipv6). |
// omada_call_operation
{
"operationId": "createLanMulticastTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new lan multicast template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.
deleteLanMulticastTemplate
DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan-multicasts/{multicastId}
Delete an existing lan multicast template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
multicastId | path | string | yes | lanMulticastId |
// omada_call_operation
{
"operationId": "deleteLanMulticastTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"multicastId": "<multicastId>"
}
}Details, permissions and error codes
Delete an existing lan multicast template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.
-39900 - This multicast snooping entry does not exist.
modifyLanMulticastTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan-multicasts/{multicastId}
Modify a lan multicast template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
multicastId | path | string | yes | lanMulticastId |
Request body — application/json (required) — schema LanMulticastVO
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | The primary id of the multicast snooping. |
name | string | no | The name of the multicast snooping. |
networks | array<NetworkVO> | no | The collection of snooping network ids related to this multicast snooping config. |
protocol | integer | no | When multicast snooping value 0,then represents the IGMP snooping type,else if value 1,then represents MLD snooping type. |
unknownMulticastRule | integer | no | When it selects 0,then send forward, it selects 1,then discard info, it selects 2,then route port first. |
unknownMulticastExceptDevice | UnknownMulticastConfigVO | no | (UnknownMulticastConfigVO not expanded; call omada_get_schema "UnknownMulticastConfigVO") |
floodKnownEnable | boolean | no | Whether open flood known protocols. |
querierEnable | boolean | no | Whether open querier. |
routerPortEnable | boolean | no | Whether open manual router port config. |
resource | integer | no | resource |
routerPorts | array<RouterPortVO> | no | The specific list of router ports info,including network, devices and the ports on them. |
snoopConfig | SnoopConfigVO | no | (SnoopConfigVO not expanded; call omada_get_schema "SnoopConfigVO") |
igmpQueriers | array<IgmpConfigVO> | no | The querier configs for IGMP snooping(ipv4). |
mldQueriers | array<MldConfigVO> | no | The querier configs for MLD snooping(ipv6). |
// omada_call_operation
{
"operationId": "modifyLanMulticastTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"multicastId": "<multicastId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify a lan multicast template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.
-39900 - This multicast snooping entry does not exist.